const {ccclass, property} = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    @property({
        type: cc.AudioClip
    })
    myAudioClip: cc.AudioClip = null;

    start () {
        this.play();
    }

    play () {
        cc.audioEngine.playMusic(this.myAudioClip, true);
    }
}
